Bug 843594 - init script failes
init script failes
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: bdii (Show other bugs)
el6
All All
unspecified Severity urgent
: ---
: ---
Assigned To: Mattias Ellert
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-26 13:47 EDT by Christoph Anton Mitterer
Modified: 2012-09-26 05:07 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-21 16:57:28 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christoph Anton Mitterer 2012-07-26 13:47:47 EDT
The BDII init script uses functions form /lib/lsb/init-functions.

Unlike in Debian where things are better solved, this is not available in a single lsb-base package, and it's stupid to depend on the full lsb package (which is not the case right now).

Now one gets errors like these:
# /etc/init.d/bdii status
Error: Cannot source /lib/lsb/init-functions
BDII Runnning /etc/init.d/bdii: line 321: log_success_msg: command not found

Given that the status ouput is further processed by other tools, this is quite a problem.

Either don't use log_* functions all, or check for them correctly, or make Red hat copy the Debian way and provide lsb-base and lsb-release packages.


Cheers,
Chris.

C.
Comment 1 Christoph Anton Mitterer 2012-07-26 13:49:21 EDT
"other tools" == e.g. gLite Info Provider...
Comment 2 Fedora Update System 2012-08-10 07:09:54 EDT
bdii-5.2.12-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/bdii-5.2.12-2.el6
Comment 3 Fedora Update System 2012-08-10 07:10:07 EDT
bdii-5.2.12-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/bdii-5.2.12-1.fc17
Comment 4 Fedora Update System 2012-08-10 07:10:17 EDT
bdii-5.2.12-2.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/bdii-5.2.12-2.el5
Comment 5 Fedora Update System 2012-08-10 07:10:30 EDT
bdii-5.2.12-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/bdii-5.2.12-2.fc16
Comment 6 Fedora Update System 2012-08-10 14:37:14 EDT
Package bdii-5.2.12-2.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing bdii-5.2.12-2.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2012-6666/bdii-5.2.12-2.el6
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2012-08-31 05:44:46 EDT
bdii-5.2.13-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/bdii-5.2.13-1.fc16
Comment 8 Fedora Update System 2012-08-31 05:44:58 EDT
bdii-5.2.13-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/bdii-5.2.13-1.el6
Comment 9 Fedora Update System 2012-08-31 05:45:09 EDT
bdii-5.2.13-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/bdii-5.2.13-1.fc17
Comment 10 Fedora Update System 2012-08-31 05:46:35 EDT
bdii-5.2.13-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/bdii-5.2.13-1.el5
Comment 11 Fedora Update System 2012-09-21 16:57:28 EDT
bdii-5.2.13-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2012-09-21 16:57:53 EDT
bdii-5.2.13-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2012-09-26 04:49:42 EDT
bdii-5.2.13-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2012-09-26 05:07:12 EDT
bdii-5.2.13-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.